import React, { Component } from 'react';
import { View, Text, TouchableOpacity } from 'react-native';

export default class MyButton extends Component {
  constructor(props) {
    super(props);
    this.state = {
    };
  }

  render() {

    const style = {
        backgroundColor: this.props.color || "#4444ff", 
        padding: 12, 
        margin: 8,
        borderRadius: 8,
        alignSelf: this.props.alignSelf || 'flex-start'
    }

    const textStyle = {
        color: this.props.textColor || "#ffffff",
        alignSelf: 'center'
    }

    return (
        <TouchableOpacity
            style={style}
            onPress={this.props.press}
        >
            <Text
                style={textStyle}
            >
                {this.props.text}
            </Text>
        </TouchableOpacity>
    );
  }
}
