import React, { Component } from 'react'
import { TextInput } from 'react-native'

export default class MyTextInput extends Component {
    constructor(props) {
        super(props);
    }
    
    render() {
        const style = {
            input: {
                backgroundColor: '#111',
                color: 'white',
                padding: 8,
                borderRadius: 8,
                margin: 8,
            }
        }

        return (
            <TextInput 
                placeholder={this.props.placeholder} 
                placeholderTextColor='gray'
                style={style.input} 
                onChangeText={text => this.onChangeText(text)}
                value={this.props.value}
            />
        )
    }
    
    onChangeText(text) {
        this.props.onChangeText(text);
    }
}