import { Text, View } from 'react-native'
import React, { Component } from 'react'

export default class UserInfoField extends Component {
  render() {
    const style = {
        cont: {
            alignItems: 'center',
            padding: 16,
        },
        name: {
            color: '#aaa',
        },
        value: {
            color: '#eee',
            fontSize: 24,
        }
    }

    return (
      <View style={style.cont}>
        <Text style={style.name}>{this.props.name}:</Text>
        <Text style={style.value}>{this.props.value}</Text>
      </View>
    )
  }
}